Summary: Netselect
Name: netselect
Version: 0.3
Release: 0.fdr.1
License: GPL
Group: Applications/System
URL: http://www.worldvisions.ca/~apenwarr/netselect/
Source: http://www.worldvisions.ca/~apenwarr/netselect/%{name}-%{version}.tar.gz
Source1: mirror-setup.py
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: pygtk2

%description
This is netselect, an ultrafast intelligent parallelizing binary-search 
implementation of "ping."
This is a special fedora.us package providing a GUI (mirror-setup) to 
select the fastest and closest mirror. The mirror list used by
mirror-setup includes only active mirrors which also have been 
updated recently.

%prep
%setup -q -n %{name}

%build
gcc $RPM_OPT_FLAGS -I. -g netselect.c -o %{name}

%install
rm -rf %{buildroot}
install -D -s -m 755 netselect %{buildroot}%{_bindir}/netselect
install -D -s -m 755 %{SOURCE1} %{buildroot}%{_bindir}/mirror-setup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog HISTORY README README.traceroute
%{_bindir}/netselect
%{_bindir}/mirror-setup

%changelog
* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0.3-0.fdr.1
- initial package
